# This file is part of FatxFast.
#
#    FatxFast is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    FatxFast is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with FatxFast.  If not, see <http://www.gnu.org/licenses/>.

# Versioning based on: 
# http://en.wikipedia.org/wiki/Versioning#Designating_development_stage
__author__ = "dryatu (c) 2013"
__version__ = "1.2.4"

from FatxFast.gui import widget
from FatxFast.gui.container import Container

class ContainerWidget(Container, widget.Widget):
   
    def __init__(self, **kwargs):
        widget.Widget.__init__(self, **kwargs)
        Container.__init__(self, **kwargs)

    def draw(self, surface):
        sub = widget.Widget.draw(self, surface)
        if sub:
            Container.draw(self, sub)

    def mouse_moved(self, pos, rel):
        widget.Widget.mouse_moved(self, pos, rel)
        Container.mouse_moved(self, pos, rel)
    
