# Fat x Fast

> Neckbeard has to fix computers faster than ever before. He does this
> by consuming excessive amounts of coffee. However his job seems to get 
> harder after each task. Will the neckbeard survive an overdose of caffeine
> and conquer every challenge he is faced with - or will he fail to live up to
> his reputation?


This is a python puzzle / labyrinth game built upon pygame. Game supports
local multiplayer for 2 players. Most of the game maps are randomly generated
but custom maps can be created with tiled(http://www.mapeditor.org/).

### Requirements

* Tested compatibility on python 2.7.5 Windows 7 x64, Linux x86/x64 
    and Mac OS X 10.4.11

* Libraries used: pygame(Highly recommended to use 1.9.2pre or greater), 
    tiledtmxloader(by DR0ID, included), matplotlib(Optional)


## Instructions

### Windows

Binary version:

* Unzip FatxFast-X-win32.zip
* Run FatxFast.exe.

Source version:

* Unzip FatxFast-X-src.zip

        > python -O FatxFast/__main__.py

### Linux/Mac:

* Unzip FatxFast-X-src.zip
    
        $ python -O FatxFast/__main__.py


## Gameplay
    
* Set keybinds for movement inside Settings submenu.
    Fullscreen mode requires a game restart

* Choose a gamemode inside New Game submenu

### Gamemodes
    
* Classic - Classic randomly generated maze puzzles
* Timed - Custom / randomly generated maze puzzles
* Practice - Using "Page Up" / "Page Down" keys one can practice
    maze solving.
* Multiplayer - 1v1 point based puzzle solving gameplay.


## Customizing

Read docs/maps.txt for a quick how-to on custom map system

## License

Read LICENSE.txt for license info

## Credits

* finar - Visual contributions
* kekek - Hud/Gui contributions


## Files included

* FatxFast/
* tests/
* setup.py
* install.py
* docs/
* LICENSE.txt
* README.md

## Contact info

* Homepage: https://bitbucket.org/dryatu/fat-x-fast
* Email: dryatu@gmail.com



